Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

It would be nice if the Image button added !{width:100%}! to the wiki text when it was pressed.

I have a large number of non-technical users who cannot remember the formatting, and won't take the time to hunt it down in the wiki

when they need it. As a result, images are often not included in the description.

Having the button insert this extra text would allow even novice users to properly scale their images.

It would also be nice to make the CSS text settable in the Administrator page, so that the admin could configure a certain look.

History

#1 - 2016-08-01 20:13 - Brian Rose

I forgot to escape the text I want added.

I would like it to insert

!{width:100%}!

 when the user clicks on the Image button when editing descriptions and wikis.

#2 - 2016-08-27 06:28 - Toshi MARUYAMA

- Description updated

#3 - 2017-02-18 09:31 - Go MAEDA

- Status changed from New to Needs feedback

Since Redmine 2.5.0, large images are automatically scaled to fit the area. (#3163)

Do you still experience the problem in the current versions of Redmine?

#4 - 2024-02-05 15:16 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Wont fix
